Bug 29179 - Useless include in moveitem.pl
Summary: Useless include in moveitem.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-05 16:23 UTC by Tomás Cohen Arazi
Modified: 2021-10-08 15:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29179: Remove useless includes in moveitem.pl (1.46 KB, patch)
2021-10-05 16:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29179: Remove useless includes in moveitem.pl (1.51 KB, patch)
2021-10-05 18:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29179: Remove useless includes in moveitem.pl (1.60 KB, patch)
2021-10-07 06:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-10-05 16:23:18 UTC
This includes are not used anymore:

use C4::Context;
use C4::ClassSource;
use C4::Acquisition qw/GetOrderFromItemnumber ModOrder GetOrder/;
Comment 1 Tomás Cohen Arazi 2021-10-05 16:30:05 UTC
Created attachment 125747 [details] [review]
Bug 29179: Remove useless includes in moveitem.pl

This patch moves a trivially unneeded set of includes from this file.

To test:
1. Apply the patch
2. Try attaching an item to another biblio
=> SUCCESS: Things work as expected!
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Owen Leonard 2021-10-05 18:28:54 UTC
Created attachment 125750 [details] [review]
Bug 29179: Remove useless includes in moveitem.pl

This patch moves a trivially unneeded set of includes from this file.

To test:
1. Apply the patch
2. Try attaching an item to another biblio
=> SUCCESS: Things work as expected!
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2021-10-07 06:23:11 UTC
Created attachment 125855 [details] [review]
Bug 29179: Remove useless includes in moveitem.pl

This patch moves a trivially unneeded set of includes from this file.

To test:
1. Apply the patch
2. Try attaching an item to another biblio
=> SUCCESS: Things work as expected!
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2021-10-07 08:26:47 UTC
Well, there are a lot of useless includes in a lot of files... If you want to tackle them down, please fix them all at once, not one report per file.
Comment 5 Jonathan Druart 2021-10-07 09:21:30 UTC
Pushed to master for 21.11, thanks to everybody involved!